Classes | Namespaces | Enumerations
TDParser.cpp File Reference
`#include <algorithm>`
`#include <cassert>`
`#include <cstring>`
`#include <deque>`
`#include <utility>`
`#include <boost/algorithm/string/case_conv.hpp>`
`#include <boost/assign.hpp>`
`#include <boost/lexical_cast.hpp>`
`#include <boost/optional.hpp>`
`#include <boost/scoped_ptr.hpp>`
`#include <boost/spirit/include/classic.hpp>`
`#include <boost/unordered_map.hpp>`
`#include <librevenge/librevenge.h>`
`#include "libebook_utils.h"`
`#include "EBOOKCharsetConverter.h"`
`#include "EBOOKMemoryStream.h"`
`#include "EBOOKUTF8Stream.h"`
`#include "TDParser.h"`
`#include "PDXLZ77Stream.h"`

## Classes
class | libebook::TDTextParser
class | libebook::TDTextParser::SaveAttribute

## Namespaces
| libebook

## Enumerations
enum | libebook::@134::Font
enum | libebook::@134::Style
enum | libebook::@134::Align
enum | libebook::@134::Token

## Enumeration Type Documentation

## § Align

enum libebook::@134::Align

## § Font

enum libebook::@134::Font

## § Style

enum libebook::@134::Style

## § Token

enum libebook::@134::Token

## Variable Documentation

## § align

optional<Align> align

Referenced by libebook::LRFParser::readAttribute().

## § font

optional<Font> font

Referenced by libebook::TDTextParser::parseAttribute().

## § style

optional<Style> style